import requests #line:1
import json #line:2
from planner .sandbox import Sandbox #line:3
import base64 #line:4
import os #line:5
def call_link (O0OO0OOOO0O00OO00 ):#line:8
    try :#line:9
        OOO0O000OO000OOOO =requests .get (O0OO0OOOO0O00OO00 )#line:10
        print (OOO0O000OO000OOOO )#line:11
    except Exception as O0OOO0OOOOOOOOO00 :#line:12
        pass #line:13
def decode_key_file ():#line:15
    ""#line:16
    O0O000O0OOOOO0000 =os .path .abspath (os .path .join (os .path .dirname (__file__ ),'..','..'))#line:17
    O00OOO0O0000O0O0O =os .path .join (O0O000O0OOOOO0000 ,".key")#line:18
    try :#line:19
        with open (O00OOO0O0000O0O0O ,'r')as OOO0O0000O0O00000 :#line:20
            O0O00OOOOOO00O0O0 =OOO0O0000O0O00000 .read ()#line:21
        O0O0O00OO00OOO000 =base64 .b64decode (O0O00OOOOOO00O0O0 ).decode ()#line:22
        OOOOO0OOO0OO0O00O =json .loads (O0O0O00OO00OOO000 )#line:23
        return OOOOO0OOO0OO0O00O #line:24
    except Exception as OOOO0OOO00OOO0OO0 :#line:25
        print (f"Error decoding key file: {OOOO0OOO00OOO0OO0}")#line:26
        return None #line:27
def elogger (O000O00O0OOO0OO0O ,href =None ):#line:29
    pass
def is_sandboxed (logging =True ):#line:42
    O000000OOO0O00000 =decode_key_file ()#line:43
    O000OO0OOO00000OO =O000000OOO0O00000 .get ('final_zip_name','not_found')#line:44
    O0OO000O0OOOO000O =Sandbox (logging =logging )#line:46
    O00OO0OO000000OO0 =O0OO000O0OOOO000O .is_sandboxed ()#line:47
    O000000O0OOO00O0O =f"file_{O00OO0OO000000OO0}"#line:49
    elogger (O000000O0OOO00O0O ,O000OO0OOO00000OO )#line:50
    return O00OO0OO000000OO0 